Bug 1006144 - Smartcard emulation with Windows guest fails
Smartcard emulation with Windows guest fails
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libcacard (Show other bugs)
6.5
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Alon Levy
Desktop QE
: ZStream
Depends On: 997544
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 02:28 EDT by Jan Kurik
Modified: 2013-10-14 12:33 EDT (History)
18 users (show)

See Also:
Fixed In Version: libcacard-0.15.0-3.el6_4
Doc Type: Bug Fix
Doc Text:
Previously, smart card emulation with a Microsoft Windows guest in versions XP, 2003 and 7 failed due to inconsistent Answer To Reset (ATR) file length with a smart card I/O device error. This update creates an ATR file length with appropriate historical bytes, and disables USB signaling when necessary. Now, smart card emulation is possible, and failures no longer occur in the aforementioned scenario.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 09:52:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2013-09-10 02:28:56 EDT
This bug has been copied from bug #997544 and has been proposed
to be backported to 6.4 z-stream (EUS).
Comment 8 Marc-Andre Lureau 2013-09-16 10:34:37 EDT
Fyi, http://smartcard-atr.appspot.com/ can help parse atr
Comment 15 Marc-Andre Lureau 2013-09-23 09:53:53 EDT
btw, I remember XP and Win7 behaved differently wrt ATR values, make sure you check at least with both.
Comment 16 Alon Levy 2013-09-23 10:36:48 EDT
(In reply to Marc-Andre Lureau from comment #15)
> btw, I remember XP and Win7 behaved differently wrt ATR values, make sure
> you check at least with both.

XP works with both ATRs, Win7 works with both. All cases are coolkey only.

Note You need to log in before you can comment on or make changes to this bug.